Subject: Re: [PATCH V4 00/10] perf: New conditional branch filter

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Fri, 6 Dec 2013 10:18:17 -0300

Em Thu, Dec 05, 2013 at 03:47:54PM +1100, Michael Ellerman escreveu:
> On Wed, 2013-12-04 at 16:02 +0530, Anshuman Khandual wrote:
> > 		This patchset is the re-spin of the original branch stack sampling
> > patchset which introduced new PERF_SAMPLE_BRANCH_COND branch filter. This patchset
> > also enables SW based branch filtering support for book3s powerpc platforms which
> > have PMU HW backed branch stack sampling support. 
> > 
> > Summary of code changes in this patchset:
> > 
> > (1) Introduces a new PERF_SAMPLE_BRANCH_COND branch filter
> > (2) Add the "cond" branch filter options in the "perf record" tool
> > (3) Enable PERF_SAMPLE_BRANCH_COND in X86 platforms
> > (4) Enable PERF_SAMPLE_BRANCH_COND in POWER8 platform 
> > (5) Update the documentation regarding "perf record" tool
> 
> 
> Hi Arnaldo,
> 
> Can you please take just patches 1-5 into the perf tree? And do you mind
> putting them in a topic branch so Benh can merge that.

This is mostly kernel code, I process the userspace ones, so I think either
Ingo or PeterZ should pick these, Ingo, Peter?

Only:

Subject: [PATCH V4 03/10] perf, tool: Conditional branch filter 'cond' added to perf record

Which is a one liner, touches tools/perf/, and I'm ok with it.

- Arnaldo
 
> The remaining patches are powerpc specific and still need some more review.
> 
> cheers
>